#
# spec file for package rubygem-rspec
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec
Version:        3.3.0
Release:        5.2
%define mod_name rspec
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/rspec
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        meta-gem that depends on the other components
License:        MIT
Group:          Development/Languages/Ruby

%description
BDD for Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="License.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Jul 28 2015 lslezak@suse.cz
- upgrade to version 3.x (bsc#939726)
* Sat Jun 13 2015 coolo@suse.com
- updated to version 3.3.0
  no changelog found
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.2.0, version bump
* Tue Jan 20 2015 dmueller@suse.com
- update to 3.1.0, version bump
* Mon Nov 10 2014 tboerger@suse.com
- Added new ruby macros
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.14.1
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.13.0
* Tue Nov 13 2012 coolo@suse.com
- updated to version 2.12.0, version bump
* Sun Jul 29 2012 coolo@suse.com
- update to rspec 2.11.0
* Wed Nov 30 2011 darix@nordisch.org
- fix license tag:
  package is actually under MIT (bnc#733585)
* Wed Jan 26 2011 mrueckert@suse.de
- update to version 1.3.1
  * Array =~ matcher works with subclasses of Array (Matthew Peychich & Pat Maddox)
  * config.suppress_deprecation_warnings!
  * QuitBacktraceTweaker no longer eats all paths with 'lib'
    (Tim Harper - #912)
  * Fix delegation of stubbed values on superclass class-level methods.
    (Scott Taylor - #496 - #957)
  * Fix pending to work with ruby-1.9
  * share_as (will be removed from rspec-core-2.0)
  * simple_matcher (will be removed from rspec-core-2.0)
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.3.0
  * capture ExpectationNotMet error by default in matcher DSL
  * supports wrapping other expectations
  * added match_unless_raises to matcher DSL
  * supports easy wrapping of t/u assertions in matchers
  * thanks to Chad Fowler and Glenn Vanderburg for the name
  * add chain to matcher DSL (Joe Ferris - #935)
  * see rdoc for Spec::Matchers
  * and_yield provides configurable eval_context
  * Eric Meyer & David Chelimsky
  * CTRL-C actually stops execution! (Bryan Helmkamp - #911)
  * make drb port configurable (Chris Flipse - #875)
  * changed raise_error to raise_exception (#933)
  * kept raise_error aliased, so this is completely
    backwards compatible
  * don't define top-level context() method when running in IRB (#899)
  * remove Ruby warning for uninitialized ivar (Bryan Helmkamp - #892)
  * fully qualify reference to Default (Alex Sharp - #895)
  * use runtime version of Test::Unit::VERSION in incompatibility message
    (Ryan Bigg - #916)
  * quote paths in RSpec's own specs so people running in paths with
    spaces in them can achieve green too (Ryan Bigg - #917)
  * ensure drb specs run when EADDRNOTAVAIL (Michael Klett - #881)
  * throw_symbol matcher correctly bubbles errors up (#918)
  * make Rakefile work without Cucumber installed (#919 - devrandom)
  * escape . in regexp (#925)
  * align be_true and be_false with Ruby's conditional semantics (#931)
  * print duplicate nested descriptions (when appropriate) (#936)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.2.9
* Mon Mar 23 2009 mrueckert@suse.de
- update to 1.2.2
* Fri Jan 16 2009 mrueckert@suse.de
- update to version 1.1.12
* Sun Nov 11 2007 mrueckert@suse.de
- update to version 1.0.8
  too many changes. see the CHANGES file in the gem dir
* Thu May 24 2007 mrueckert@suse.de
- update to version 1.0.2:
  * Renamed Spec::Rails' rspec_resource generator to
    rspec_scaffold.
  * Removed Spec::Rails' be_feed matcher since it's based on
    assert_select_feed which is not part of Rails (despite that
    docs for assert_select_encoded says it is).
  * describe(SomeModule) will include that module in the examples.
    Like for Spec::Rails helpers, but now also in core.
  * Header in HTML report will be yellow instead of red if there is
    one failed example
  * Applied [#10951] Odd instance variable name in rspec_model
    template (patch from Kyle Hargraves)
  * Improved integration with autotest (Patches from Ryan Davis and
    David Goodland)
  * Some small fixes to make all specs run on JRuby.
- remove obsoleted requires
* Tue May 22 2007 mrueckert@suse.de
- update to version 1.0.0:
  many many many fixes
* Mon Oct  2 2006 mrueckert@suse.de
- update to version 0.6.4:
  In addition to a number of bug fixes and patches, this release
  begins to formalize the support for RSpec on Rails.
* Wed Sep 13 2006 mrueckert@suse.de
- update to version 0.6.3:
  o tons of small bug fixes
